﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamGridUnboundColumn
{
    public partial class SecondPage : UserControl
    {
        public SecondPage()
        {
            InitializeComponent();

            ObservableCollection<Payment> payment = new ObservableCollection<Payment>();
            payment.Add(new Payment("Anually"));
            payment.Add(new Payment("Monthly"));
            payment.Add(new Payment("Weekly"));
            this.xamGrid2.ItemsSource = payment;

        }
    }

    public class Payment : INotifyPropertyChanged
    {
        private string _pay;
        public string Pay
        {
            get { return _pay; }
            set
            {
                if (_pay != value)
                {
                    _pay = value;
                    OnPropertyChanged("Pay");
                    OnPropertyChanged("Description");
                }
            }
        }

        public string Description
        {
            get
            {
                return ConvertPayToDescription(this._pay);
            }
        }

        public Payment()
        { }

        public Payment(string pay)
        {
            this._pay = pay;
        }

        public string ConvertPayToDescription(string payment)
        {
            return payment + " (Payment Desciption...)";
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }

}
